Search results for

“We are unable to process your request”

73,612 results found

Post

Replies

Boosts

Views

Activity

Reply to Supported way to expose an iPhone+controller as a macOS gamepad without restricted entitlements?
What I’m trying to understand is whether Apple supports any path for this on macOS that does NOT require restricted entitlements or paid-program-only capabilities. So, let me lay out the state of things that you listed: Both DriverKit and Core HID require restricted entitlements. All DriverKit entitlements have Development Only variants which allow those entitlements to be used in development signed builds without any approval (they're added through the portal like any other entitlement). Virtual Core HID does not currently have a development variant, but that's an issue I'm looking into correcting (r.173531752). In both cases, that means using these entitlements currently requires joining the paid program. If you'd like to see us expand these to the free account as well, please file a bug asking for that and then post the bug number back here. Also, to be clear, that is a serious request - I'd like to look at expanding the availability of these entitlements, but that's hard to justify without a bit
Topic: App & System Services SubTopic: Drivers Tags:
6d
Reply to TESTFLIGHT: The requested app is not available or doesn t exist
This has been happening to me as well. I have 7 apps. Everything was fine and then last week, all apps (builds) were removed from TestFlight. No explanation, just gone. Each new build I upload now shows in TestFlight but I cannot install any of them: “The requested app is not available or doesn't exist”. I have attempted to contact Apple through the “unhelpful” portal but no response. i have tried calling various Apple support lines but they all tell me there is nothing they can do. I need to contact Apple Developer Support. They dont have a number, It must be done through the portal. Super Frustrating!
6d
Reply to System-wide deadlock in removexattr from revisiond / APFS
I suspect it was a FILE_NOTIFY_CLOSE. Are you sure it isn't an auth event? Also, are you using separate es_client_t's for your notify and auth events? The timing issue I outlined is theoretically possible in both cases, but MUCH easier to do with auth events. It would be insightful to know if APFS triggers that or related ES events when decompressing a file. Open is what typically triggers decompression; however, in this case, revisiond was actually deleting a file (by calling remove on its path), so it's pretty likely that they had closed it just prior to the remove call. I will submit unified logs that cover the period in question, but your point remains. I'll try and take a look, but I'm not necessarily optimistic. Frankly, these issues generally have a high degree of uncertainty about them, so my comment there was really about acknowledging that reality. Not that our ES hooks are directly causing the deadlock, but that by hooking certain OS events and quickly acting on them, we're exercising the file syst
Topic: App & System Services SubTopic: Core OS Tags:
6d
Unable to reset simulators
I'm unable to reset simulators using the menu or the xcrun simctl tool: == Devices == -- iOS 17.5 -- iPhone SE (3rd generation) (5A06623A-173D-4C96-8DD3-3E9FE39A06F1) (Shutdown) iPhone 15 (iOS 17.5) (F4329E8D-29BB-4EA7-8465-C11A98D04ED7) (Shutdown) -- iOS 18.0 -- iPhone SE (3rd generation) (2DDE8F03-F8E1-4C1B-8E28-CD9B208F3FFA) (Shutdown) iPhone 16 Pro (DE788688-8AC6-40A0-B25C-A56AA423798E) (Shutdown) iPhone 16 Pro Max (1405184C-36A9-40F3-B0D0-4EEB88452883) (Shutdown) iPhone 16 (0CBBA7DB-B20E-4F17-BBC5-910F1F6E1A0A) (Shutdown) iPhone 16 Plus (95421C27-11A0-4FCF-A889-DAAE8557B271) (Shutdown) == Device Pairs == ~/Library`` ❯ xcrun simctl erase 0CBBA7DB-B20E-4F17-BBC5-910F1F6E1A0A An error was encountered processing the command (domain=NSCocoaErrorDomain, code=513): “data” couldn’t be moved because you don’t have permission to access “Deleting-8FEDFF47-5B2F-4534-BCA2-036BBE68CE37”. You don’t have permission. To view or change permissions, select the item in the Finder and choose File > Get
5
0
1.9k
6d
Custom icons for folder aliases not showing
Problem: custom icons for folder aliases not showing System drive and external drive custom alias folder icons don't showup on desktop or external drive (OS14.6 Sonoma 2023); they only show-up as plain folders or with an odd document icon. Alias doesn't connect to image; however it's there, easily accessible via spacebar. Finder doesn't save the custom icon to the alias. See below for workaround. Summary: I have custom alias icons on my desktop linking to their source files on the system drive and external drive.. however they do not display the custom icon. After upgrading from OS10.14 Mojave to OS14.6 Sonoma 2023, system drive & external drive custom alias icons no longer display the icon on either drive (there is a work-around for Mojave; see history section). Personal impact: hampered file navigation and workflow; I'm lost, can't tell where anything is; not having my icons makes it especially difficult to navigate my files and hampers my workflow significantly. Desired outcome: all custom icons for fo
6
0
2.2k
6d
Reply to Core Data Migration Strategy: store relocation, schema changes and CloudKit adoption in a single release?
Given that you'd move the Core Data store to a group container, I'd assume that the store will be shared across different processes, such as your main app and its extension (a widget, for example). In that case, I'd like to start with pointing you the following threads: Core Data Light Migration Crash When Widget is Installed (Error 134100). CoreData error=134100 Failed to open the store. These threads made it clear that: After a user installed your new version app, depending on what extension you have, the app and extension can open and migrate the store simultaneously, and so you will need to implement a mechanism to make sure that the store is only migrated once. Consider having your main app in charge of the the synchronization, as discussed in Avoid synchronizing a store with multiple persistent containers. Now to your questions: Store relocation vs schema migration Is it advisable to perform store relocation and schema migration in a single step, or should these be separate releases? If combine
6d
Subscriptions unable to load
Hello, I have created an app with subscriptions that have already been approved and integrated. However, when I test the app, the products cannot be found, even though they are correctly set up in App Store Connect and the sandbox account is active. Do you have any idea what might be causing this issue? Best regards
1
0
38
6d
Reply to TESTFLIGHT: The requested app is not available or doesn t exist
ive been having this for 2-3 months now all i get is the same error after receiving the TestFlight invite, i get the Code, redem the code, App shows up, but when i try to install it, i get ERROR message. ( Could Not in Stall APP NAME. The Request App is Not Avalible or Doesn't Exist.) Even though it an new APP i just created. i have like 25 Apps with install next to the APP Name and each app Gives me the Same Error Message. I think Apple/TestFlight needs to Address this issue. this happens on my Iphone and Tablet.
6d
Reply to Weatherkit /api/v1/weather is incorrectly returning 302 redirects starting 2026-03-24 13:39:45 ET
Hi, this will reproduce it. It is not limited to just this GPS coordinate, all our GPS coordinates being polled are now failing. curl -vvv -H Authorization: Bearer YOUR_OWN_TOKEN_HERE https://weatherkit.apple.com/api/v1/weather/en/43.741667/-79.373333?dataSets=currentWeather&timezone=UTC&units=si Here's what the output is: * Host weatherkit.apple.com:443 was resolved. * IPv6: (none) * IPv4: 23.58.127.73, 23.58.127.72, 23.58.127.75, 23.58.127.81, 23.58.127.80, 23.58.127.74, 23.58.127.83, 23.58.127.120, 23.58.127.82 * Trying 23.58.127.73:443... * Connected to weatherkit.apple.com (23.58.127.73) port 443 * ALPN: curl offers h2,http/1.1 * (304) (OUT), TLS handshake, Client hello (1): * CAfile: /etc/ssl/cert.pem * CApath: none * (304) (IN), TLS handshake, Server hello (2): * (304) (IN), TLS handshake, Unknown (8): * (304) (IN), TLS handshake, Certificate (11): * (304) (IN), TLS handshake, CERT verify (15): * (304) (IN), TLS handshake, Finished (20): * (304) (OUT), TLS handshake, Finished (20): * SSL connec
6d
Reply to test NEAppProxyProvider without MDM?
There is a DHCP server on the local LAN to assign addresses to devices. The criteria is simple: if my iPad is trying to talk to anything on say 192.168, it should use ethernet. Otherwise, it should use cellular. If an app proxy is the wrong tool for this, then can you suggest any other way to accomplish this? I could, just maybe, rewrite the low level libsrt library to use sockets provided from Network, where I can force traffic over cellular. The problem would be that my HTTP rest requests, which use URLSession, would have no way of being forced over cellular. Is there any library/framework that exists on top of Network that lets me make REST calls? If so, possibly doing all of this completely in app, i.e. forcing certain connections onto cellular while letting others do whatever the OS thinks is best, could be done. The other thing that could work is if the OS had some way of knowing: “yeah, this device is on a LAN. But I know the LAN won’t send traffic out to the general WAN, so any connections th
6d
Reply to NETransparentProxyProvider stops intercepting flows after sleep/wake cycle on macOS intermittently
[quote='881762022, faisalIkwal, /thread/820585?answerId=881762022#881762022, /profile/faisalIkwal'] We don't do anything here. [/quote] Cool. [quote='881762022, faisalIkwal, /thread/820585?answerId=881762022#881762022, /profile/faisalIkwal'] Why does it stops intercepting traffics? [/quote] It’s hard to say without more information: How reproducible is this? Are you debugging this based on reports coming in from the field? Or can you reproduce it in your office? And if it’s the latter, how long does it take to reproduce? When it happens, do you have enough logging to confirm whether stopProxy(…) is called or not? When it happens, is your sysex process still intact? That is, is you sysex still running? And is it the same process as before the sleep/wake cycle, that is, is the PID the same? Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com
6d
Endpoint Security entitlement for open-source behavioral monitoring tool
Hi, I’m building a macOS tool that analyzes process behavior to detect autonomous / AI-like activity locally (process trees, file access patterns, and network usage). The system is fully user-space and runs locally in real time. I’m planning to use the Endpoint Security Framework for process and file event monitoring. This is an open-source project (non-enterprise), developed by a solo developer. My question: What are the realistic chances of getting Endpoint Security entitlements approved for this type of project? Are there specific requirements or common reasons for rejection I should be aware of? Thanks, sivan-rnd
2
0
134
6d
Memory Leak in new structured concurrency Network Framework API's
After implementing the new structured concurrency API's for Network framework, we are noticing a few memory leaks in the Network framework when using API's like onViabilityUpdate and onBetterPathUpdate. Whenever a previously established connection is disconnected, the NWConnection object is never released by the Network framework when we use the 2 API's mentioned. Irrespective of what goes inside these handlers(or leave it empty), the connection object is leaking. If I comment out the handlers, there is no memory leak. Posting this here in the forum to understand if others have encountered similar issues and found a workaround? Raised a feedback assistant request with all the details and a sample app here: FB22339653
1
0
62
6d
Reply to Stuck with subscription review
I've found a solution. I need to delete subscription products with status Developer Action Needed and create a new one. This needs changing product id and fixing app for new ids... Apple, fix your process, it's buggy.
Replies
Boosts
Views
Activity
6d
Reply to Supported way to expose an iPhone+controller as a macOS gamepad without restricted entitlements?
What I’m trying to understand is whether Apple supports any path for this on macOS that does NOT require restricted entitlements or paid-program-only capabilities. So, let me lay out the state of things that you listed: Both DriverKit and Core HID require restricted entitlements. All DriverKit entitlements have Development Only variants which allow those entitlements to be used in development signed builds without any approval (they're added through the portal like any other entitlement). Virtual Core HID does not currently have a development variant, but that's an issue I'm looking into correcting (r.173531752). In both cases, that means using these entitlements currently requires joining the paid program. If you'd like to see us expand these to the free account as well, please file a bug asking for that and then post the bug number back here. Also, to be clear, that is a serious request - I'd like to look at expanding the availability of these entitlements, but that's hard to justify without a bit
Topic: App & System Services SubTopic: Drivers Tags:
Replies
Boosts
Views
Activity
6d
Reply to TESTFLIGHT: The requested app is not available or doesn t exist
This has been happening to me as well. I have 7 apps. Everything was fine and then last week, all apps (builds) were removed from TestFlight. No explanation, just gone. Each new build I upload now shows in TestFlight but I cannot install any of them: “The requested app is not available or doesn't exist”. I have attempted to contact Apple through the “unhelpful” portal but no response. i have tried calling various Apple support lines but they all tell me there is nothing they can do. I need to contact Apple Developer Support. They dont have a number, It must be done through the portal. Super Frustrating!
Replies
Boosts
Views
Activity
6d
Reply to First auto-renewable subscription stuck in “Waiting for Review”, missing “In-App Purchases and Subscriptions” section, and TestFlight shows “The offer is not available yet
Same for me. This process is definitely broken or unclear.
Replies
Boosts
Views
Activity
6d
Reply to System-wide deadlock in removexattr from revisiond / APFS
I suspect it was a FILE_NOTIFY_CLOSE. Are you sure it isn't an auth event? Also, are you using separate es_client_t's for your notify and auth events? The timing issue I outlined is theoretically possible in both cases, but MUCH easier to do with auth events. It would be insightful to know if APFS triggers that or related ES events when decompressing a file. Open is what typically triggers decompression; however, in this case, revisiond was actually deleting a file (by calling remove on its path), so it's pretty likely that they had closed it just prior to the remove call. I will submit unified logs that cover the period in question, but your point remains. I'll try and take a look, but I'm not necessarily optimistic. Frankly, these issues generally have a high degree of uncertainty about them, so my comment there was really about acknowledging that reality. Not that our ES hooks are directly causing the deadlock, but that by hooking certain OS events and quickly acting on them, we're exercising the file syst
Topic: App & System Services SubTopic: Core OS Tags:
Replies
Boosts
Views
Activity
6d
Unable to reset simulators
I'm unable to reset simulators using the menu or the xcrun simctl tool: == Devices == -- iOS 17.5 -- iPhone SE (3rd generation) (5A06623A-173D-4C96-8DD3-3E9FE39A06F1) (Shutdown) iPhone 15 (iOS 17.5) (F4329E8D-29BB-4EA7-8465-C11A98D04ED7) (Shutdown) -- iOS 18.0 -- iPhone SE (3rd generation) (2DDE8F03-F8E1-4C1B-8E28-CD9B208F3FFA) (Shutdown) iPhone 16 Pro (DE788688-8AC6-40A0-B25C-A56AA423798E) (Shutdown) iPhone 16 Pro Max (1405184C-36A9-40F3-B0D0-4EEB88452883) (Shutdown) iPhone 16 (0CBBA7DB-B20E-4F17-BBC5-910F1F6E1A0A) (Shutdown) iPhone 16 Plus (95421C27-11A0-4FCF-A889-DAAE8557B271) (Shutdown) == Device Pairs == ~/Library`` ❯ xcrun simctl erase 0CBBA7DB-B20E-4F17-BBC5-910F1F6E1A0A An error was encountered processing the command (domain=NSCocoaErrorDomain, code=513): “data” couldn’t be moved because you don’t have permission to access “Deleting-8FEDFF47-5B2F-4534-BCA2-036BBE68CE37”. You don’t have permission. To view or change permissions, select the item in the Finder and choose File > Get
Replies
5
Boosts
0
Views
1.9k
Activity
6d
Custom icons for folder aliases not showing
Problem: custom icons for folder aliases not showing System drive and external drive custom alias folder icons don't showup on desktop or external drive (OS14.6 Sonoma 2023); they only show-up as plain folders or with an odd document icon. Alias doesn't connect to image; however it's there, easily accessible via spacebar. Finder doesn't save the custom icon to the alias. See below for workaround. Summary: I have custom alias icons on my desktop linking to their source files on the system drive and external drive.. however they do not display the custom icon. After upgrading from OS10.14 Mojave to OS14.6 Sonoma 2023, system drive & external drive custom alias icons no longer display the icon on either drive (there is a work-around for Mojave; see history section). Personal impact: hampered file navigation and workflow; I'm lost, can't tell where anything is; not having my icons makes it especially difficult to navigate my files and hampers my workflow significantly. Desired outcome: all custom icons for fo
Replies
6
Boosts
0
Views
2.2k
Activity
6d
Reply to Core Data Migration Strategy: store relocation, schema changes and CloudKit adoption in a single release?
Given that you'd move the Core Data store to a group container, I'd assume that the store will be shared across different processes, such as your main app and its extension (a widget, for example). In that case, I'd like to start with pointing you the following threads: Core Data Light Migration Crash When Widget is Installed (Error 134100). CoreData error=134100 Failed to open the store. These threads made it clear that: After a user installed your new version app, depending on what extension you have, the app and extension can open and migrate the store simultaneously, and so you will need to implement a mechanism to make sure that the store is only migrated once. Consider having your main app in charge of the the synchronization, as discussed in Avoid synchronizing a store with multiple persistent containers. Now to your questions: Store relocation vs schema migration Is it advisable to perform store relocation and schema migration in a single step, or should these be separate releases? If combine
Replies
Boosts
Views
Activity
6d
Subscriptions unable to load
Hello, I have created an app with subscriptions that have already been approved and integrated. However, when I test the app, the products cannot be found, even though they are correctly set up in App Store Connect and the sandbox account is active. Do you have any idea what might be causing this issue? Best regards
Replies
1
Boosts
0
Views
38
Activity
6d
Reply to TESTFLIGHT: The requested app is not available or doesn t exist
ive been having this for 2-3 months now all i get is the same error after receiving the TestFlight invite, i get the Code, redem the code, App shows up, but when i try to install it, i get ERROR message. ( Could Not in Stall APP NAME. The Request App is Not Avalible or Doesn't Exist.) Even though it an new APP i just created. i have like 25 Apps with install next to the APP Name and each app Gives me the Same Error Message. I think Apple/TestFlight needs to Address this issue. this happens on my Iphone and Tablet.
Replies
Boosts
Views
Activity
6d
Reply to Weatherkit /api/v1/weather is incorrectly returning 302 redirects starting 2026-03-24 13:39:45 ET
Hi, this will reproduce it. It is not limited to just this GPS coordinate, all our GPS coordinates being polled are now failing. curl -vvv -H Authorization: Bearer YOUR_OWN_TOKEN_HERE https://weatherkit.apple.com/api/v1/weather/en/43.741667/-79.373333?dataSets=currentWeather&timezone=UTC&units=si Here's what the output is: * Host weatherkit.apple.com:443 was resolved. * IPv6: (none) * IPv4: 23.58.127.73, 23.58.127.72, 23.58.127.75, 23.58.127.81, 23.58.127.80, 23.58.127.74, 23.58.127.83, 23.58.127.120, 23.58.127.82 * Trying 23.58.127.73:443... * Connected to weatherkit.apple.com (23.58.127.73) port 443 * ALPN: curl offers h2,http/1.1 * (304) (OUT), TLS handshake, Client hello (1): * CAfile: /etc/ssl/cert.pem * CApath: none * (304) (IN), TLS handshake, Server hello (2): * (304) (IN), TLS handshake, Unknown (8): * (304) (IN), TLS handshake, Certificate (11): * (304) (IN), TLS handshake, CERT verify (15): * (304) (IN), TLS handshake, Finished (20): * (304) (OUT), TLS handshake, Finished (20): * SSL connec
Replies
Boosts
Views
Activity
6d
Reply to test NEAppProxyProvider without MDM?
There is a DHCP server on the local LAN to assign addresses to devices. The criteria is simple: if my iPad is trying to talk to anything on say 192.168, it should use ethernet. Otherwise, it should use cellular. If an app proxy is the wrong tool for this, then can you suggest any other way to accomplish this? I could, just maybe, rewrite the low level libsrt library to use sockets provided from Network, where I can force traffic over cellular. The problem would be that my HTTP rest requests, which use URLSession, would have no way of being forced over cellular. Is there any library/framework that exists on top of Network that lets me make REST calls? If so, possibly doing all of this completely in app, i.e. forcing certain connections onto cellular while letting others do whatever the OS thinks is best, could be done. The other thing that could work is if the OS had some way of knowing: “yeah, this device is on a LAN. But I know the LAN won’t send traffic out to the general WAN, so any connections th
Replies
Boosts
Views
Activity
6d
Reply to NETransparentProxyProvider stops intercepting flows after sleep/wake cycle on macOS intermittently
[quote='881762022, faisalIkwal, /thread/820585?answerId=881762022#881762022, /profile/faisalIkwal'] We don't do anything here. [/quote] Cool. [quote='881762022, faisalIkwal, /thread/820585?answerId=881762022#881762022, /profile/faisalIkwal'] Why does it stops intercepting traffics? [/quote] It’s hard to say without more information: How reproducible is this? Are you debugging this based on reports coming in from the field? Or can you reproduce it in your office? And if it’s the latter, how long does it take to reproduce? When it happens, do you have enough logging to confirm whether stopProxy(…) is called or not? When it happens, is your sysex process still intact? That is, is you sysex still running? And is it the same process as before the sleep/wake cycle, that is, is the PID the same? Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com
Replies
Boosts
Views
Activity
6d
Endpoint Security entitlement for open-source behavioral monitoring tool
Hi, I’m building a macOS tool that analyzes process behavior to detect autonomous / AI-like activity locally (process trees, file access patterns, and network usage). The system is fully user-space and runs locally in real time. I’m planning to use the Endpoint Security Framework for process and file event monitoring. This is an open-source project (non-enterprise), developed by a solo developer. My question: What are the realistic chances of getting Endpoint Security entitlements approved for this type of project? Are there specific requirements or common reasons for rejection I should be aware of? Thanks, sivan-rnd
Replies
2
Boosts
0
Views
134
Activity
6d
Memory Leak in new structured concurrency Network Framework API's
After implementing the new structured concurrency API's for Network framework, we are noticing a few memory leaks in the Network framework when using API's like onViabilityUpdate and onBetterPathUpdate. Whenever a previously established connection is disconnected, the NWConnection object is never released by the Network framework when we use the 2 API's mentioned. Irrespective of what goes inside these handlers(or leave it empty), the connection object is leaking. If I comment out the handlers, there is no memory leak. Posting this here in the forum to understand if others have encountered similar issues and found a workaround? Raised a feedback assistant request with all the details and a sample app here: FB22339653
Replies
1
Boosts
0
Views
62
Activity
6d